// $Id: J4CDCCell.hh,v 1.1.1.1 2001/06/08 15:38:43 hoshina Exp $
#ifndef __J4CDCCELL__
#define __J4CDCCELL__
//*************************************************************************
//* --------------------
//* J4CDCCell
//* --------------------
//* (Description)
//* 	Derivation class for CDC Cell.
//*     Mother class : J4VDetectorComponent
//*    
//* (Update Record)
//*	2000/12/08  K.Hoshina	Original version.
//*************************************************************************

#include "J4CDCDriftRegion.hh"
#include "J4VCDCDetectorComponent.hh"

//=====================================================================
//---------------------
// class definition
//---------------------

class J4CDCCell : public J4VCDCDetectorComponent {	

public:
  J4CDCCell(J4VDetectorComponent *parent = 0,
  		         G4int nclones   = 1,
  		         G4int nbrothers = 1, 
  		         G4int me = 0);
  virtual ~J4CDCCell();

  virtual void	InstallIn(J4VDetectorComponent* mother)   ;
  virtual void	SwitchOn()  ;
  virtual void	SwitchOff() ;
  virtual void	Draw()      ;
  virtual void	Print() const ;
  
private:
  void 	Assemble();    
  void  Cabling ();
  
private:  
  static G4String fName;
  J4CDCDriftRegion** fDriftRegions;
};

#endif


