// $Id: J4DetectorConstruction.hh,v 1.1.1.1 2001/06/08 15:38:43 hoshina Exp $
#ifndef __J4DETECTORCONSTRUCTION__
#define __J4DETECTORCONSTRUCTION__

//*************************************************************************
//* --------------------------
//* J4DetectorConstruction.hh
//* --------------------------
//* (Description)
//* 	Class for describing his/her detector setup.
//*     Mother class : G4VUserDetectorConstruction (abstruct class)
//*    
//* (Update Record)
//*	2001/01/18  K.Hoshina	Original version.
//*************************************************************************

#include "G4VUserDetectorConstruction.hh"
#include "G4ThreeVector.hh"
#include "J4VMaterialStore.hh"
#include "J4ExpHall.hh"
#include "J4Beampipe.hh"
#include "J4CDC.hh"
#include "J4VTX.hh"
#include "J4IT.hh"
#include "J4CAL.hh"


//=====================================================================
//---------------------
// class definition
//---------------------

class J4DetectorConstruction : public G4VUserDetectorConstruction {
	
public:
  J4DetectorConstruction();
  ~J4DetectorConstruction();

  // get functions
  G4VPhysicalVolume* GetExpHall() const { return fExpHall->GetPV(); }
  const G4ThreeVector& GetSizeOfExpHall() const {return fExpHall->GetCenter();}

  // implement it.
  virtual G4VPhysicalVolume* Construct(); 
  
  static J4ExpHall* fExpHall;

private:

  J4Beampipe* fBeampipe;
  J4VTX*      fVTX;
  J4IT*       fIT;
  J4CDC*      fCDC;
  J4CAL*      fCAL;
  
  
};

#endif
