// $Id: J4VCDCDetectorComponent.hh,v 1.1.1.1 2001/06/08 15:38:43 hoshina Exp $
#ifndef __J4VCDCDETECTORCOMPONENT__
#define __J4VCDCDETECTORCOMPONENT__
//*************************************************************************
//* -----------------------
//* J4VCDCDetectorComponent
//* -----------------------
//* (Description)
//* 	Class for describing his/her detector compornents.
//*     
//* (Update Record)
//*	2000/12/08  K.Hoshina	Original version.
//*************************************************************************

#include "J4CDCMaterialStore.hh"
#include "J4VDetectorComponent.hh"
#include "J4CDCParameter.hh"

//=====================================================================
//---------------------
// class definition
//---------------------

class J4VCDCDetectorComponent : public J4VDetectorComponent
{	// abstruct class

public:
  //default constructor...
  J4VCDCDetectorComponent( G4String& name, 
  			   J4VDetectorComponent *parent = 0,
  			   G4int nclones = 1,
  			   G4int nbrothers = 1, 
  			   G4int me = 0);
  			   
  virtual ~J4VCDCDetectorComponent();
#if 0 		          
  J4VCDCDetectorComponent(J4VCDCDetectorComponent& right);
  virtual J4VCDCDetectorComponent& 
  		operator=(const J4VCDCDetectorComponent& right);    
#endif
      
protected:    
  J4VMaterialStore* 	 OpenMaterialStore();
  
private:
  static J4CDCMaterialStore* fMaterialStore;
  static G4String fSubGroup;
       
};

#if 0
//=====================================================================
//---------------------
// inline function
//---------------------


inline J4VCDCDetectorComponent::J4VCDCDetectorComponent(J4VCDCDetectorComponent& right)
{

  fMaterialStore = right.fMaterialStore;
  fSubGroup      = right.fSubGroup;
          
}

inline J4VCDCDetectorComponent& 
J4VCDCDetectorComponent::operator=(const J4VCDCDetectorComponent& right)
{

  fMaterialStore = right.fMaterialStore;
  fSubGroup      = right.fSubGroup;
  
  return *this;
            
}

#endif



#endif


