// $Id: J4VSensitiveDetector.hh,v 1.1.1.1 2001/06/08 15:38:43 hoshina Exp $
#ifndef __J4VSENSITIVEDETECTOR__
#define __J4VSENSITIVEDETECTOR__
//*************************************************************************
//* --------------------
//* J4VSensitiveDetector
//* --------------------
//* (Description)
//* 	Abstract class template for his/her sensitive detector.
//*	You must use template class for derivation.
//*	Mother class : G4VSensitiveDetector
//*     
//* (Update Record)
//*	2001/02/18  K.Hoshina	Original version.
//*************************************************************************


//  !!! HOMEWORK !!!
//  Change a fHitBuf pointer to an fHitBuf* pointer array.
//  SensitiveDetector can have several HitBuffer class.


#include "G4HCofThisEvent.hh"
#include "G4VSensitiveDetector.hh"

//=====================================================================
//---------------------
// class definition
//---------------------

class J4VDetectorComponent;

class J4VSensitiveDetector : public G4VSensitiveDetector 
{ 

 public:
  J4VSensitiveDetector(J4VDetectorComponent* detector);
  J4VSensitiveDetector(const J4VSensitiveDetector& right);  
  
  virtual ~J4VSensitiveDetector();

  virtual const J4VSensitiveDetector& operator=(const J4VSensitiveDetector& right);
      
  virtual void  SetNewStep(G4Step* aStep) {fNewStep = aStep;}
      
#if 1
  virtual void OutputAll(G4HCofThisEvent* HCTE) 
  {
  	G4cerr << "J4VSensitiveDetector::OutputAll() is called" << G4endl;
  }
#endif

  virtual void DrawAll(){};
  virtual void PrintAll(){}; 

  // set/get functions
   
  virtual J4VDetectorComponent* GetDetectorComponent() const;
  virtual G4VPhysicalVolume*    GetPVfromTrack    () const;
  virtual void*		 	GetHitBuf	  () const;
  virtual G4int		 	GetCloneID	  () const;
  virtual G4StepPoint*   	GetPreStepPoint   () const;
  virtual G4StepPoint*   	GetPostStepPoint  () const;
  virtual G4int		 	GetTrackID        () const;
  virtual const G4String& 	GetParticleName   () const;
  virtual G4double	 	GetCharge	  () const;
  virtual G4double 	 	GetMass	  	  () const;
  virtual G4double 	 	GetTof	   	  () const;
  virtual G4double 	 	GetEnergyDeposit  () const;
  virtual G4double 	 	GetKineticEnergy  () const;
  virtual G4double 	 	GetTotalEnergy    () const;
  virtual G4ThreeVector  	GetMomentum 	  () const;
  virtual const G4ThreeVector&  GetPrePosition    () const;
  virtual const G4ThreeVector& 	GetPostPosition   () const;
  virtual G4ParticleDefinition* GetParticle() const;
  
  virtual void 			SetHitBuf(void* hitbuf);
  
 private:

  J4VDetectorComponent* fDetectorComponent;
  void*			fHitBuf;
  G4Step*		fNewStep;
    
};

#include "J4VSensitiveDetector.icc"

#endif
