// $Id: J4CDCSupportTub.cc,v 1.1.1.1 2001/06/08 15:38:43 hoshina Exp $
//*************************************************************************
//* --------------------
//* J4CDCSupportTub
//* --------------------
//* (Description)
//* 	Class for describing his/her detector compornents.
//*     
//* (Update Record)
//*	2000/12/08  K.Hoshina	Original version.
//*************************************************************************

#include "J4CDCSupportTub.hh"


// ====================================================================
//--------------------------------
// constants (detector parameters)
//--------------------------------

G4String J4CDCSupportTub::fName("SupportTub");

//=====================================================================
//---------------------
// Class Description
//---------------------

//=====================================================================
//* constructor -------------------------------------------------------

J4CDCSupportTub::J4CDCSupportTub(G4double rmin,
				 G4double rmax,
				 G4double len,
				 G4double totalphi,
				 J4VDetectorComponent *parent,
				 G4int nclones,
				 G4int nbrothers, 
				 G4int me ) :
		fRmin(rmin), fRmax(rmax), fLen(len), fTotalPhi(totalphi),
  		J4VCDCDetectorComponent( fName, parent, nclones,
  					 nbrothers, me  )
{   
}

//=====================================================================
//* destructor --------------------------------------------------------

J4CDCSupportTub::~J4CDCSupportTub()
{
}

//=====================================================================
//* Assemble   --------------------------------------------------------

void J4CDCSupportTub::Assemble() 
{   
  if(!GetLV()){
  	
    // MakeSolid ----------//
    OrderNewTubs (fRmin, fRmax, fLen, fTotalPhi);
    
    // MakeLogicalVolume --//  
    MakeLVWith(OpenMaterialStore()->Order(_CDCSUPPORTTUBMATERIAL_));
    
    // SetVisAttribute ----//
    PaintLV(_CDCSUPPORTTUBVISATT_, G4Color(1, 1, 1));
  	
    // Install daughter PV //

    // * No Daughter!! 
       
  }
}

//=====================================================================
//* Cabling  ----------------------------------------------------------

void J4CDCSupportTub::Cabling()
{
}

//=====================================================================
//* InstallIn  --------------------------------------------------------

void J4CDCSupportTub::InstallIn(J4VDetectorComponent* mother)
{ 
  Assemble();			// You MUST call Assemble(); at first.
  				// 
  
  // Placement function into mother object...
  
  SetPVPlacement();
  
}


//* SwitchOn  --------------------------------------------------------
void J4CDCSupportTub::SwitchOn()
{
}

//* SwitchOff  --------------------------------------------------------
void J4CDCSupportTub::SwitchOff()
{
}

//* Draw  --------------------------------------------------------
void J4CDCSupportTub::Draw()
{
  // set visualization attributes
  
}
	
//* Print  --------------------------------------------------------
void J4CDCSupportTub::Print() const
{
}

	
	

