// $Id: J4ExpHall.cc,v 1.1.1.1 2001/06/08 15:38:43 hoshina Exp $
//*************************************************************************
//* --------------------
//* J4ExpHall
//* --------------------
//* (Description)
//* 	Class for describing his/her detector compornents.
//*     
//* (Update Record)
//*	2000/12/08  K.Hoshina	Original version.
//*************************************************************************

#include "G4Box.hh"

#include "J4ExpHall.hh"
#include "J4CDC.hh"
#include "J4Beampipe.hh"

// ====================================================================
//--------------------------------
// constants (detector parameters)
//--------------------------------


J4VMaterialStore* J4ExpHall::fMaterialStore = 0;

static const G4ThreeVector dxyzExpHall(_EXPHALLX_, _EXPHALLY_ , _EXPHALLZ_);
G4String J4ExpHall::fProjectName("JLC");
G4String J4ExpHall::fExpName("ExpName");

//=====================================================================
//---------------------
// Class Description
//---------------------

// ====================================================================
//* constructor -------------------------------------------------------


J4ExpHall::J4ExpHall(J4VDetectorComponent *parent,
			       G4int nclones,
  		  	       G4int nbrothers, 
  		  	       G4int me ) :
  		J4VDetectorComponent( fProjectName, fExpName, parent, 
  				       nclones, nbrothers, me  )
{ 
  
  if(!fMaterialStore)  fMaterialStore = new J4VMaterialStore();
  
  Assemble();
}

// ====================================================================
//* destructor --------------------------------------------------------
J4ExpHall::~J4ExpHall()
{	
  if(fMaterialStore) delete fMaterialStore;
  
  
}

// ====================================================================
//* Assemble   --------------------------------------------------------
void J4ExpHall::Assemble()
{  
  if(!GetLV()){
  	
   SetSolid(new G4Box(fExpName, dxyzExpHall.x(), dxyzExpHall.y(), dxyzExpHall.z()));
      
   MakeLVWith(fMaterialStore->Order(_EXPHALLMATERIAL_));
   
   PaintLV(FALSE, G4Colour(1., 1., 1.));
   
   SetPVPlacement();
   			     
  }	
}


//* InstallIn  --------------------------------------------------------

void J4ExpHall::InstallIn(J4VDetectorComponent* mother)
{
}


//* SwitchOn  --------------------------------------------------------
void J4ExpHall::SwitchOn()
{
}

//* SwitchOff  --------------------------------------------------------
void J4ExpHall::SwitchOff()
{
}

//* Draw  --------------------------------------------------------
void J4ExpHall::Draw()
{
  // set visualization attributes
  
}
	
//* Print  --------------------------------------------------------
void J4ExpHall::Print() const
{
}

//* GetCenter -----------------------------------------------------
const G4ThreeVector& J4ExpHall::GetCenter() const
{
  return dxyzExpHall;	
}
