// $Id: J4VITDetectorComponent.cc,v 1.1.1.1 2001/06/08 15:38:44 hoshina Exp $
//*************************************************************************
//* -----------------------
//* J4VITDetectorComponent
//* -----------------------
//* (Description)
//* 	Class for describing his/her detector compornents.
//*     
//* (Update Record)
//*	2000/12/08  K.Hoshina	Original version.
//*************************************************************************

#include "J4VITDetectorComponent.hh"


J4ITMaterialStore* J4VITDetectorComponent::fMaterialStore = 0;

G4String J4VITDetectorComponent::fSubGroup("IT");

//=====================================================================
//---------------------
// class 
//---------------------

//=====================================================================
//* default constructor -----------------------------------------------

J4VITDetectorComponent::J4VITDetectorComponent(
			   	G4String& name, 
  			   	J4VDetectorComponent *parent,
  			   	G4int nclones,
  			   	G4int nbrothers, 
  			   	G4int me		  ) : 
                         J4VDetectorComponent(fSubGroup, name, 
                         		      parent, nclones,	 
                         		      nbrothers, me  )   
{ 
}


//=====================================================================
//* destructor --------------------------------------------------------

J4VITDetectorComponent::~J4VITDetectorComponent()
{	
   if(fMaterialStore) delete fMaterialStore;
   if(fSubGroup)      delete fSubGroup;
}

//=====================================================================
//* OpenMaterialStore -------------------------------------------------

J4VMaterialStore* J4VITDetectorComponent::OpenMaterialStore()
{
   if(!fMaterialStore) {
   	fMaterialStore = new J4ITMaterialStore();
  	G4cerr << "*** Opend J4ITMaterialStore ***" << G4endl;
  }
    
   return fMaterialStore;
}


