// $Id: J4VVTXDetectorComponent.cc,v 1.1.1.1 2001/06/08 15:38:44 hoshina Exp $
//*************************************************************************
//* -----------------------
//* J4VVTXDetectorComponent
//* -----------------------
//* (Description)
//* 	Class for describing his/her detector compornents.
//*     
//* (Update Record)
//*	2000/12/08  K.Hoshina	Original version.
//*************************************************************************

#include "J4VVTXDetectorComponent.hh"


J4VTXMaterialStore* J4VVTXDetectorComponent::fMaterialStore = 0;

G4String J4VVTXDetectorComponent::fSubGroup("VTX");

//=====================================================================
//---------------------
// class 
//---------------------

//=====================================================================
//* default constructor -----------------------------------------------

J4VVTXDetectorComponent::J4VVTXDetectorComponent(
			   	G4String& name, 
  			   	J4VDetectorComponent *parent,
  			   	G4int nclones,
  			   	G4int nbrothers, 
  			   	G4int me		  ) : 
                         J4VDetectorComponent(fSubGroup, name, 
                         		      parent, nclones,	 
                         		      nbrothers, me  )   
{ 
}


//=====================================================================
//* destructor --------------------------------------------------------

J4VVTXDetectorComponent::~J4VVTXDetectorComponent()
{	
   if(fMaterialStore) delete fMaterialStore;
   if(fSubGroup)      delete fSubGroup;
}

//=====================================================================
//* OpenMaterialStore -------------------------------------------------

J4VMaterialStore* J4VVTXDetectorComponent::OpenMaterialStore()
{
   if(!fMaterialStore) {
   	fMaterialStore = new J4VTXMaterialStore();
  	G4cerr << "*** Opend J4VTXMaterialStore ***" << G4endl;
  }
    
   return fMaterialStore;
}


